﻿//------------------------------------------------------------------------------
// <auto-generated>
//     This code was generated from a template.
//
//     Manual changes to this file may cause unexpected behavior in your application.
//     Manual changes to this file will be overwritten if the code is regenerated.
// </auto-generated>
//------------------------------------------------------------------------------

namespace TripleA.DataAccess
{
    using System;
    using System.Data.Entity;
    using System.Data.Entity.Infrastructure;
    
    public partial class retailsystem_n3a_t1_testEntities : DbContext
    {
        public retailsystem_n3a_t1_testEntities()
            : base("name=retailsystem_n3a_t1_testEntities")
        {
        }
    
        protected override void OnModelCreating(DbModelBuilder modelBuilder)
        {
            throw new UnintentionalCodeFirstException();
        }
    
        public virtual DbSet<cat_Grupo_Inventario> cat_Grupo_Inventario { get; set; }
        public virtual DbSet<cat_Inventario_por_grupo> cat_Inventario_por_grupo { get; set; }
        public virtual DbSet<cat_usuarios> cat_usuarios { get; set; }
        public virtual DbSet<inventario> inventarios { get; set; }
        public virtual DbSet<cat_lineas> cat_lineas { get; set; }
        public virtual DbSet<cat_marcas> cat_marcas { get; set; }
        public virtual DbSet<lista_precios> lista_precios { get; set; }
        public virtual DbSet<cat_parametros> cat_parametros { get; set; }
        public virtual DbSet<cotizacion_det> cotizacion_det { get; set; }
        public virtual DbSet<mp4p_consolidado> mp4p_consolidado { get; set; }
        public virtual DbSet<configuracion_sistema> configuracion_sistema { get; set; }
        public virtual DbSet<cat_clientes> cat_clientes { get; set; }
        public virtual DbSet<cotizacion> cotizacion { get; set; }
        public virtual DbSet<cat_tiendas> cat_tiendas { get; set; }
    }
}
